<div class="container">
    <div class="title">
      Saas-Almagell
      <div>
        News and Events
      </div> 
    </div>
    <div class="filters" aria-label="Filter selection">
      <mat-chip-option class="newsOption" [selected]="filterNews" (selectionChange)="changeFilterNews($event)"  >News</mat-chip-option>
      <mat-chip-option [selected]="filterEvents" (selectionChange)="changeFilterEvent($event)" >Events</mat-chip-option>
    </div>

      @for (post of posts; track post._id){
        <div class="cardWrapper">
          @if (filterNews && filterEvents) {
            <mat-card class="news-card" routerLink = "/posts/{{post._id}}">
              @if (post.isAnEvent) {
                <img class="cardImage" mat-card-image src="https://media.istockphoto.com/id/974238866/de/foto/publikum-h%C3%B6rt-der-dozent-an-der-konferenz.jpg?s=612x612&w=0&k=20&c=ZFRoR6LDmPuKjXbqQuyxR1BceM3w0GEkmHWftLUg6_k=" >
              } @else {
                <img class="cardImage" mat-card-image src="https://cdn.indebergen.nl/media/lsmjquje/bergbahnen-infrastruktur-saas-almagell-saastaltourismusag-amarcstermedia.jpg" >
              }
  
              <mat-card-header>
                  <mat-card-title class="cardTitle">
                      {{ post.title }}
                  </mat-card-title>
                  <mat-card-subtitle>{{ post.author }} {{ post.date | date }}</mat-card-subtitle>
                  <mat-card-subtitle>{{ post.place }}</mat-card-subtitle>
              </mat-card-header>
              <mat-card-content>
                  <p>
                      {{ post.description }}
                  </p>
              </mat-card-content>
            </mat-card>
            <mat-divider class="divider"></mat-divider>
          } @else if (!filterNews && post.isAnEvent) {
            <mat-card class="news-card" routerLink = "/posts/{{post._id}}">
              <img class="cardImage" mat-card-image src="https://media.istockphoto.com/id/974238866/de/foto/publikum-h%C3%B6rt-der-dozent-an-der-konferenz.jpg?s=612x612&w=0&k=20&c=ZFRoR6LDmPuKjXbqQuyxR1BceM3w0GEkmHWftLUg6_k=" >
  
              <mat-card-header>
                  <mat-card-title class="cardTitle">
                      {{ post.title }}
                  </mat-card-title>
                  <mat-card-subtitle>{{ post.author }} {{ post.date | date }}</mat-card-subtitle>
                  <mat-card-subtitle>{{ post.place }}</mat-card-subtitle>
              </mat-card-header>
              <mat-card-content>
                  <p>
                      {{ post.description }}
                  </p>
              </mat-card-content>
            </mat-card>
            <mat-divider class="divider"></mat-divider>
          } @else if (!filterEvents && !post.isAnEvent) {
            <mat-card class="news-card" routerLink = "/posts/{{post._id}}">
              <img class="cardImage" mat-card-image src="https://cdn.indebergen.nl/media/lsmjquje/bergbahnen-infrastruktur-saas-almagell-saastaltourismusag-amarcstermedia.jpg" >
  
              <mat-card-header>
                  <mat-card-title class="cardTitle">
                      {{ post.title }}
                  </mat-card-title>
                  <mat-card-subtitle>{{ post.author }} {{ post.date | date }}</mat-card-subtitle>
                  <mat-card-subtitle>{{ post.place }}</mat-card-subtitle>
              </mat-card-header>
              <mat-card-content>
                  <p>
                      {{ post.description }}
                  </p>
              </mat-card-content>
            </mat-card>
            <mat-divider class="divider"></mat-divider>
          } @else if (!filterEvents && !filterNews) {
            <p>no posts found</p>
          } @else {
            
          }

      </div>
      }
</div>